package com.brilliance.isc.model.dia;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * (Dia)实体类
 *
 * @author makejava
 * @since 2023-01-11 16:45:33
 */
public class Dia implements Serializable {
    private static final long serialVersionUID = -20177075772636635L;

    private String inr;

    private String ownusg;

    private String ownusr;

    private String objtyp;

    private String objinr;

    private String objref;

    private Date dat;

    private String cod;

    private String nam;

    private String frm;

    private String infdsp;

    private String inftxt;

    private String usr;

    private String cretyp;

    private String creinr;

    private String donflg;

    private String ver;

    private String diatyp;

    private String subid;

    private String fldmodblk;

    private String subtyp;

    private String subkey;

    private String etyextkey;

    private String bchkeyinr;

    private String meminf;

    private String branchinr;

    private String ptyextkey;

    private String ptynam;

    private String paycur;

    private BigDecimal payamt;

    private Date prechkdat;


    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getOwnusg() {
        return ownusg;
    }

    public void setOwnusg(String ownusg) {
        this.ownusg = ownusg;
    }

    public String getOwnusr() {
        return ownusr;
    }

    public void setOwnusr(String ownusr) {
        this.ownusr = ownusr;
    }

    public String getObjtyp() {
        return objtyp;
    }

    public void setObjtyp(String objtyp) {
        this.objtyp = objtyp;
    }

    public String getObjinr() {
        return objinr;
    }

    public void setObjinr(String objinr) {
        this.objinr = objinr;
    }

    public String getObjref() {
        return objref;
    }

    public void setObjref(String objref) {
        this.objref = objref;
    }

    public Date getDat() {
        return dat;
    }

    public void setDat(Date dat) {
        this.dat = dat;
    }

    public String getCod() {
        return cod;
    }

    public void setCod(String cod) {
        this.cod = cod;
    }

    public String getNam() {
        return nam;
    }

    public void setNam(String nam) {
        this.nam = nam;
    }

    public String getFrm() {
        return frm;
    }

    public void setFrm(String frm) {
        this.frm = frm;
    }

    public String getInfdsp() {
        return infdsp;
    }

    public void setInfdsp(String infdsp) {
        this.infdsp = infdsp;
    }

    public String getInftxt() {
        return inftxt;
    }

    public void setInftxt(String inftxt) {
        this.inftxt = inftxt;
    }

    public String getUsr() {
        return usr;
    }

    public void setUsr(String usr) {
        this.usr = usr;
    }

    public String getCretyp() {
        return cretyp;
    }

    public void setCretyp(String cretyp) {
        this.cretyp = cretyp;
    }

    public String getCreinr() {
        return creinr;
    }

    public void setCreinr(String creinr) {
        this.creinr = creinr;
    }

    public String getDonflg() {
        return donflg;
    }

    public void setDonflg(String donflg) {
        this.donflg = donflg;
    }

    public String getVer() {
        return ver;
    }

    public void setVer(String ver) {
        this.ver = ver;
    }

    public String getDiatyp() {
        return diatyp;
    }

    public void setDiatyp(String diatyp) {
        this.diatyp = diatyp;
    }

    public String getSubid() {
        return subid;
    }

    public void setSubid(String subid) {
        this.subid = subid;
    }

    public String getFldmodblk() {
        return fldmodblk;
    }

    public void setFldmodblk(String fldmodblk) {
        this.fldmodblk = fldmodblk;
    }

    public String getSubtyp() {
        return subtyp;
    }

    public void setSubtyp(String subtyp) {
        this.subtyp = subtyp;
    }

    public String getSubkey() {
        return subkey;
    }

    public void setSubkey(String subkey) {
        this.subkey = subkey;
    }

    public String getEtyextkey() {
        return etyextkey;
    }

    public void setEtyextkey(String etyextkey) {
        this.etyextkey = etyextkey;
    }

    public String getBchkeyinr() {
        return bchkeyinr;
    }

    public void setBchkeyinr(String bchkeyinr) {
        this.bchkeyinr = bchkeyinr;
    }

    public String getMeminf() {
        return meminf;
    }

    public void setMeminf(String meminf) {
        this.meminf = meminf;
    }

    public String getBranchinr() {
        return branchinr;
    }

    public void setBranchinr(String branchinr) {
        this.branchinr = branchinr;
    }

    public String getPtyextkey() {
        return ptyextkey;
    }

    public void setPtyextkey(String ptyextkey) {
        this.ptyextkey = ptyextkey;
    }

    public String getPtynam() {
        return ptynam;
    }

    public void setPtynam(String ptynam) {
        this.ptynam = ptynam;
    }

    public String getPaycur() {
        return paycur;
    }

    public void setPaycur(String paycur) {
        this.paycur = paycur;
    }

    public BigDecimal getPayamt() {
        return payamt;
    }

    public void setPayamt(BigDecimal payamt) {
        this.payamt = payamt;
    }

    public Date getPrechkdat() {
        return prechkdat;
    }

    public void setPrechkdat(Date prechkdat) {
        this.prechkdat = prechkdat;
    }

}

